# Voyage Handbook
Access [WikiVoyage](https://en.wikivoyage.org) conveniently from your phone!

## Roadmap
*(In no particular order)*

- [ ] Render articles *completely* using native widgets
- [ ] Navigation in articles by heading
- [ ] Settings for reader
- [ ] Translate UI
- [ ] Support different WikiVoyage languages
- [ ] Bookmark articles
- [ ] Download articles
- [ ] Download whole countries
- [ ] Offline download
- [ ] Translation of articles into different languages

## Contributing
TODO

## Building
### Linux
1. Download the repository with its submodules:

```sh
git clone https://git.mnau.xyz/hernik/voyagehandbook --recursive
cd voyagehandbook
```

2. Install dependencies through flutter wrapper

```sh
./flutterw pub get
# check that android is set up correctly through flutter doctor
./flutterw doctor 
```

3. Run on your connected device

```sh
./flutterw run
```

## License
```
        Voyage Handbook - The open-source WikiVoyage reader
        Copyright (C) 2023 Matyáš Caras

        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License version 3 as published by
        the Free Software Foundation.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program.  If not, see <https://www.gnu.org/licenses/>.
```